Bug 152128 - mounting microdrive is performed twice
mounting microdrive is performed twice
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pcmcia-cs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 22:15 EST by Richard Keech
Modified: 2013-07-03 09:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-22 21:37:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Keech 2005-03-24 22:15:42 EST
Description of problem:

On inserting 340MB CF-form-factor microdrive into the PC Card slot I see the
file system mounted twice.

Version-Release number of selected component (if applicable):

kernel-2.6.9-5.0.3.EL
pcmcia-cs-3.2.7-1.14

How reproducible:

Every time on this system.


Steps to Reproduce:
1. Microdrive inserted into PC Card adapter.
2. PC Card adapter inserted into upper slot on IBM T41P laptop.
3.
  
Actual results:

# tail /var/log/messages
Mar 25 14:09:18 localhost cardmgr[1993]: socket 0: ATA/IDE Fixed Disk
Mar 25 14:09:18 localhost kernel: Trying to free nonexistent resource
<0000010e-0000010e>
Mar 25 14:09:18 localhost kernel: Trying to free nonexistent resource
<00000100-00000107>
Mar 25 14:09:18 localhost kernel: hde: IBM-DMDM-10340, CFA DISK drive
Mar 25 14:09:19 localhost kernel: hdf: IBM-DMDM-10340, CFA DISK drive
Mar 25 14:09:19 localhost kernel: ide2 at 0x100-0x107,0x10e on irq 5
Mar 25 14:09:19 localhost kernel: hde: max request size: 128KiB
Mar 25 14:09:19 localhost kernel: hde: 700560 sectors (358 MB) w/96KiB Cache,
CHS=695/16/63
Mar 25 14:09:21 localhost kernel:  hde: hde1
Mar 25 14:09:21 localhost kernel: hdf: max request size: 128KiB
Mar 25 14:09:21 localhost kernel: hdf: 700560 sectors (358 MB) w/96KiB Cache,
CHS=695/16/63
Mar 25 14:09:21 localhost kernel:  hdf: hdf1
Mar 25 14:09:21 localhost kernel: ide-cs: hde: Vcc = 3.3, Vpp = 0.0
Mar 25 14:09:21 localhost fstab-sync[4736]: added mount point /media/idedisk for
/dev/hde1
Mar 25 14:09:21 localhost cardmgr[1993]: executing: './ide start hde 2>&1'
Mar 25 14:09:21 localhost cardmgr[1993]: + ./ide: line 34: /sbin/ide_info: No
such file or directory
Mar 25 14:09:21 localhost kernel:  hde: hde1
Mar 25 14:09:22 localhost kernel:  hde: hde1
Mar 25 14:09:22 localhost kernel: EXT2-fs warning: mounting unchecked fs,
running e2fsck is recommended
Mar 25 14:09:22 localhost kernel: SELinux: initialized (dev hde1, type ext2),
uses xattr
Mar 25 14:09:22 localhost fstab-sync[4793]: added mount point /media/idedisk1
for /dev/hdf1
Mar 25 14:09:22 localhost kernel:  hdf: hdf1
Mar 25 14:09:22 localhost kernel:  hdf: hdf1
Mar 25 14:09:22 localhost kernel: EXT2-fs warning: mounting unchecked fs,
running e2fsck is recommended
Mar 25 14:09:22 localhost kernel: SELinux: initialized (dev hdf1, type ext2),
uses xattr

------------------------------------------
# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbfs on /proc/bus/usb type usbfs (rw)
/dev/hda1 on /boot type ext3 (rw)
none on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
/dev/hde1 on /media/idedisk type ext2
(rw,nosuid,nodev,sync,noatime,fscontext=system_u:object_r:removable_t,user=rkeech)
/dev/hdf1 on /media/idedisk1 type ext2
(rw,nosuid,nodev,sync,noatime,fscontext=system_u:object_r:removable_t,user=rkeech)

-------------------------
fdisk -l /dev/hde

Disk /dev/hde: 358 MB, 358686720 bytes
16 heads, 63 sectors/track, 695 cylinders
Units = cylinders of 1008 * 512 = 516096 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hde1   *           1         694      349744+  83  Linux

# fdisk -l /dev/hdf

Disk /dev/hdf: 358 MB, 358686720 bytes
16 heads, 63 sectors/track, 695 cylinders
Units = cylinders of 1008 * 512 = 516096 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hdf1   *           1         694      349744+  83  Linux



Expected results:

I expect that the device would be mounted only once.

Additional info:

Same system as that re BZ 152126
Comment 1 Pete Zaitcev 2012-01-22 21:37:41 EST
Expiring this bug with disposition "wontfix", which I think is the right
thing to do in this case.

Note You need to log in before you can comment on or make changes to this bug.